<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Super_Blog
 */

get_header(); ?>
<?php $sidebar = get_theme_mod('sidebar', 'right-siderbar'); 
$primary_class = 'col-sm-8';
 if ( ! is_active_sidebar( 'sidebar-1' ) || 'no-sidebar' == $sidebar ){
 	$primary_class = 'col-sm-12';
 }

?>
<div class="<?php echo esc_attr( $primary_class );?>">
	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<?php
		while ( have_posts() ) : the_post();

			get_template_part( 'template-parts/content', get_post_format() );

			the_post_navigation();

			// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;

		endwhile; // End of the loop.
		?>

		</main><!-- #main -->
	</div><!-- #primary -->
</div>
<?php
get_sidebar();
get_footer();
